function R = SpectralCorrelation(S,T,l)

% R = SpectralCorrelation(Spectrum, Templates, Start_wavelength_indices)
% 
% Spectrum  = [N x 1] vector
% Templates = K member cell of templates
% s_w_i     = [1 x K] vector, starting poins of each template in Spectrum.

% Liam Pedersen, NASA ARC, August 1998
% version 2.0

if (nargin == 2) l = 1; end

N = length(S);
K = length(T);
L = length(l);
if (L==1) l = l*ones(1,K); end


for i = 1:K
   t = T{i};
   M = length(t);
   if (M+l(i)-1 > N)
   	m = N-l(i)+1;
	else
   	m = M;
	end

   R(i) = correlation(S(l(i):m+l(i)-1),t(1:m));
end
